Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040932
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-22 10:172019-06-06 20:01
Reportersamuel_nicuesaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision294471a2fce8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040932: Doing verified return Draft status will be printed in the ticket if the invoice is generated although the ticket is paid

DescriptionDoing verified return Draft status will be printed in the ticket if the invoice is generated although the ticket is paid hasbeenpaid = 'Y'
Steps To Reproduce[BO]

- Navigate to channel touchpoint type (posterminal type)

- Check Generate Invoice for Orders

- Check Print Twice

[POS]

- Create a ticket , add a product and pay it

- Go to Menu > Verified return and select the previous ticket

- Do verified return

- You will see in the Hardware Manager that 2 returns will be printed and also 2 invoices but in Draft status.

Problem :

Put a breakpoint here :

var printProcess = function () {
            if (receipt.get('print')) { //Print option of order property
              OB.POS.hwserver.print(args.template, {
                order: receipt
              }, function (result, printedReceipt) {
            if (receipt.get('print')) { //Print option of order property

Check the values of :

receipt.attributes
{hasbeenpaid: "N", isbeingprocessed: "N", id: "7659D1674E4EF455F26845B41003215C", client: "39363B0921BB4293B48383844325E84C", organization: "D270A5AC50874F8BA67A88EE977F8E3B", …}

OB.MobileApp.model.receipt.attributes
{hasbeenpaid: "Y", isbeingprocessed: "N", id: "CB5C74DC7507C73038ACE26CB22A00F9", client: "39363B0921BB4293B48383844325E84C", organization: "D270A5AC50874F8BA67A88EE977F8E3B", …}


Draft Status won't be printed if hasbeenpaid = 'Y' but in this case receipt.attributes.hasbeenpaid = 'N'
TagsNo tags attached.
Attached Filespng file icon PrintInvoice.png [^] (345,680 bytes) 2019-05-22 10:17
png file icon Draft.png [^] (25,641 bytes) 2019-05-22 10:19

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112330)
hgbot (developer)
2019-06-03 02:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 294471a2fce83e18cf7b849dad65642ee854741a
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu May 30 17:28:47 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/294471a2fce83e18cf7b849dad65642ee854741a [^]

Fixed issue 40932: Doing verified return Draft status will be printed in the
ticket if the invoice is generated although the ticket is paid

- Seted 'hasbeenpaid' attribute to 'Y' into invoiceToPrint object

---
M web/org.openbravo.retail.posterminal/js/utils/ticketCloseUtils.js
---

- Issue History
Date Modified Username Field Change
2019-05-22 10:17 samuel_nicuesa New Issue
2019-05-22 10:17 samuel_nicuesa Assigned To => Retail
2019-05-22 10:17 samuel_nicuesa File Added: PrintInvoice.png
2019-05-22 10:17 samuel_nicuesa Triggers an Emergency Pack => No
2019-05-22 10:19 samuel_nicuesa File Added: Draft.png
2019-05-22 11:13 Practics Issue Monitored: Practics
2019-05-28 04:58 rqueralta Assigned To Retail => rqueralta
2019-05-28 04:59 rqueralta Status new => scheduled
2019-06-03 02:34 hgbot Checkin
2019-06-03 02:34 hgbot Note Added: 0112330
2019-06-03 02:34 hgbot Status scheduled => resolved
2019-06-03 02:34 hgbot Resolution open => fixed
2019-06-03 02:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/294471a2fce83e18cf7b849dad65642ee854741a [^]
2019-06-06 20:01 marvintm Review Assigned To => marvintm
2019-06-06 20:01 marvintm Status resolved => closed
2019-06-06 20:01 marvintm Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker